# `taurus.qt.qtdesigner.containerplugin`

Every TaurusWidget should have the following Qt Designer extended capabilities:

> - Task menu: it means when you right click on the widget in the designer, it will have the following additional items:

>   - ‘Edit model…’: opens a customized dialog for editing the widget model

> - Property Sheet: it means that in the Qt Designer property sheet it will have the following properties customized:

>   - ‘model’: will have a ‘…’ button that will open a customized dialog for editing the widget model (same has ‘Edit model…’ task menu item

Classes

class QGroupWidgetContainerExtension(widget, parent=None)

  (more info)

class QGroupWidgetExtensionFactory(parent=None)

  (more info)

class QGroupWidgetPlugin(parent=None)

  (more info)

Functions

create_plugin()

Variables

Q_TYPEID